Package com.sun.jna.platform.win32

## Class W32FileMonitor

- java.lang.Object
- - com.sun.jna.platform.FileMonitor
  - - com.sun.jna.platform.win32.W32FileMonitor

-     public class W32FileMonitor
      extends FileMonitor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.FileMonitor

      `FileMonitor.FileEvent, FileMonitor.FileListener`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.FileMonitor

      `FILE_ACCESSED, FILE_ANY, FILE_ATTRIBUTES_CHANGED, FILE_CREATED, FILE_DELETED, FILE_MODIFIED, FILE_NAME_CHANGED_NEW, FILE_NAME_CHANGED_OLD, FILE_RENAMED, FILE_SECURITY_CHANGED, FILE_SIZE_CHANGED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `W32FileMonitor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `protected void` | `unwatch​(java.io.File file)` |
    `protected void` | `watch​(java.io.File file, int eventMask, boolean recursive)` |

    - ### Methods inherited from class com.sun.jna.platform.FileMonitor

      `addFileListener, addWatch, addWatch, addWatch, finalize, getInstance, notify, removeFileListener, removeWatch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### W32FileMonitor

          public W32FileMonitor()

  - ### Method Detail

    - #### watch

          protected void watch​(java.io.File file,
                               int eventMask,
                               boolean recursive)
                        throws java.io.IOException

      Specified by:
        `watch` in class `FileMonitor`
      Throws:
        `java.io.IOException`

    - #### unwatch

          protected void unwatch​(java.io.File file)

      Specified by:
        `unwatch` in class `FileMonitor`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in class `FileMonitor`